0

After having updated the operative system for mac I get errors as in the title when I attempt to compile tex-documents in Texmaker. Is there something I can do to resolve this problem without calling for a specialist?

  • Please tell us which version of MacOS you were using before the most recent update. The reason I ask is that your query is vaguely reminescent of postings that occurred about two and a half years ago, around the time of a major update of MacOS. – Mico May 15 '18 at 11:55
  • @Mico: If I remember correctly, the last version of MacOS X where it was possible to create subdirectories of \usr was Yosemite. In any case, the problem should go away automatically with an update to the latest version of MacTeX: since 2015 (again, IIRC) the MacTeX distribution puts executables (virtually) into /Library/TeX/texbin. – GuM May 15 '18 at 12:01
  • @GuM My latest version of MacTex is from 2016, it appears. – Frode Bjørdal May 15 '18 at 12:17
  • 1
    You have to change from using /usr/texbin to /Library/TeX/texbin since your updated OS no longer allows the use of the former link. – Herb Schulz May 15 '18 at 14:07
  • @Herb Schulz Your suggestion indeed helped me resolve the problem. Thanks! Perhaps you could write this up as an answer. – Frode Bjørdal May 16 '18 at 2:29
1

You have to change from using /usr/texbin to /Library/TeX/texbin since your updated OS no longer allows the use of the former link.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.